Page MenuHomePhabricator

[EPIC] Move first paragraph <p> above infobox template on small screens
Closed, ResolvedPublic

Description

[UX DEBT]

The problem
It takes few scrolls to get to the first sentence of the article. the top of the article doesn't give out overview of the topic quickly. with lead images, there is duplicate information taking up space.

The solution
Move only first paragraph <p> on top of the infobox if there is a lead-image

wireframe

NOWAFTER

Example

NOWAFTER

Dependency

  • Page image extension

Acceptance criteria

  • should work in beta where page-image extension is deployed

ping @dr0ptp4kt

Related Objects

Event Timeline

Nirzar created this task.Aug 16 2016, 6:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 6:24 PM
Nirzar triaged this task as Normal priority.Aug 16 2016, 6:24 PM
Nirzar updated the task description. (Show Details)Aug 16 2016, 6:26 PM
Nirzar moved this task from To Triage to 2016-17 Q2 on the Readers-Web-Backlog board.

Nirzar, is this next in line for UX debt? I noticed this was dropped into sprint +1 on Readers-Web-Backlog.

@dr0ptp4kt yes but it depends too. if the team takes on related pages. i can stall this.

@Nirzar Can you flesh this out before Monday's prioritization meeting?

Nirzar updated the task description. (Show Details)Aug 21 2016, 9:30 PM
Nirzar updated the task description. (Show Details)

To elaborate on why I added a subtask: T143803

While I agree we should do this, this needs prototyping and further analysis before doing in MobileFrontend which is costly and risky. The Mobile Content service hasn't got this quite right (T143739) so I have little confidence we will.

Nirzar removed Nirzar as the assignee of this task.Oct 19 2016, 7:09 PM
Krinkle updated the task description. (Show Details)Apr 29 2017, 12:58 AM
ovasileva closed this task as Resolved.
ovasileva claimed this task.
ovasileva added a subscriber: ovasileva.

First paragraph now appearing before infobox

Jdlrobson closed this task as Resolved.Jan 31 2018, 6:52 PM

I'm calling this done. Failure rate of the lead paragraph move is extremely low and we can work in chores to keep in that way. (https://www.mediawiki.org/wiki/Reading/Web/Chore_list#Review_the_MobileFormatter_lead_paragraph_transform_on_Wikimedia_content)